Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
Class GroovyPagesUriSupport

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPagesUriSupport

Direct Known Subclasses:
  DefaultGroovyPagesUriService

    public class GroovyPagesUriSupport

extends Object

Methods to establish template names, paths and so on.

Since:
  1.2

  Created: May 1, 2009
Author:
  Graeme Rocher

Field Summary
`static String` | `PATH_TO_VIEWS`

Constructor Summary
`GroovyPagesUriSupport()`

Method Summary
`(package private) String` | `getDeployedViewURI(String controllerName, String viewName)` Obtains a view URI when deployed within the /WEB-INF/grails-app/views context
`(package private) String` | `getLogicalControllerName(groovy.lang.GroovyObject controller)`
`(package private) String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, String viewName)` Obtains a view URI of the given controller and view name without the suffix
`(package private) String` | `getNoSuffixViewURI(String controllerName, String viewName)` Obtains a view URI of the given controller name and view name without the suffix
`(package private) String` | `getTemplateURI(groovy.lang.GroovyObject controller, String templateName)` Obtains a template URI for the given controller instance and template name
`(package private) String` | `getTemplateURI(String controllerName, String templateName)` Obtains the URI to a template using the controller name and template name
`(package private) String` | `getViewURI(groovy.lang.GroovyObject controller, String viewName)` Obtains a view URI of the given controller and view name
`(package private) String` | `getViewURI(String controllerName, String viewName)` Obtains a view URI of the given controller name and view name
`(package private) String` | `getViewURIInternal(String controllerName, String viewName, FastStringWriter buf, boolean includeSuffix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH_TO_VIEWS

    public static final String PATH_TO_VIEWS

See Also:
  Constant Field Values

Constructor Detail

### GroovyPagesUriSupport

    public GroovyPagesUriSupport()

Method Detail

### getTemplateURI

    String getTemplateURI(groovy.lang.GroovyObject controller,
                          String templateName)

  Obtains a template URI for the given controller instance and template name

  Parameters:
    `controller` - The controller instance
    `templateName` - The template name
  Returns:
    The template URI

### getViewURI

    String getViewURI(groovy.lang.GroovyObject controller,
                      String viewName)

  Obtains a view URI of the given controller and view name

  Parameters:
    `controller` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getNoSuffixViewURI

    String getNoSuffixViewURI(groovy.lang.GroovyObject controller,
                              String viewName)

  Obtains a view URI of the given controller and view name without the suffix

  Parameters:
    `controller` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getLogicalControllerName

    String getLogicalControllerName(groovy.lang.GroovyObject controller)

### getTemplateURI

    String getTemplateURI(String controllerName,
                          String templateName)

  Obtains the URI to a template using the controller name and template name

  Parameters:
    `controllerName` - The controller name
    `templateName` - The template name
  Returns:
    The template URI

### getViewURI

    String getViewURI(String controllerName,
                      String viewName)

  Obtains a view URI of the given controller name and view name

  Parameters:
    `controllerName` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getNoSuffixViewURI

    String getNoSuffixViewURI(String controllerName,
                              String viewName)

  Obtains a view URI of the given controller name and view name without the suffix

  Parameters:
    `controllerName` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getDeployedViewURI

    String getDeployedViewURI(String controllerName,
                              String viewName)

  Obtains a view URI when deployed within the /WEB-INF/grails-app/views context

  Parameters:
    `controllerName` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getViewURIInternal

    String getViewURIInternal(String controllerName,
                              String viewName,
                              FastStringWriter buf,
                              boolean includeSuffix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project